package com.iamberry.wechat.core.entity.drp;

import java.io.Serializable;
import java.util.Date;

import com.iamberry.app.verify.ValidatorInterface;

/**
 * @company	深圳爱贝源科技有限公司
 * @website www.iamberry.com
 * @author 	献
 * @tel		18271840547
 * @date	2016年9月5日
 * @explain	商户申请更新信息记录
 */
public class ApplyPlaceLogs implements Serializable {

	private static final long serialVersionUID = -1188547919271216860L;

	private Integer applyID;						// ID
	
	private String applyOpenID;						// 申请openID
	
	private Integer applyToPlaceID;					// 申请更新的placeID
	
	@ValidatorInterface(validatorIsRule = "[a-zA-Z0-9\u4E00-\u9FA5_]+", fieldLengthScope = {5, 30})
	private String applyName;						// 公司名称

	@ValidatorInterface(validatorIsRule = "[a-zA-Z0-9\u4E00-\u9FA5_]+", fieldLengthScope={2, 10})
	private String applyUserName;					// 姓名
	
	@ValidatorInterface(validatorIsRule = "^((13[0-9])|(14[5|7])|(15([0-3]|[5-9]))|(18[0,5-9]))\\d{8}$")
	private String applyTel;						// 申请的电话号码

	@ValidatorInterface(validatorIsRule = "[a-zA-Z0-9\u4E00-\u9FA5_]+", fieldLengthScope={5, 30})
	private String applyArea;						// 申请的地址
	
	private Date applyDate;							// 申请时间
	
	private Integer applyStatus;					// 申请状态 默认1， 1:申请中;2:审核通过;3:审核未通过,管理员驳回

	@ValidatorInterface(validatorIsRule = "[a-zA-Z0-9\u4E00-\u9FA5_]+", fieldLengthScope={10, 90})
	private String applyAddr;						// 详细地址
	
	public String getApplyAddr() {
		return applyAddr;
	}

	public void setApplyAddr(String applyAddr) {
		this.applyAddr = applyAddr;
	}

	public Integer getApplyID() {
		return applyID;
	}

	public void setApplyID(Integer applyID) {
		this.applyID = applyID;
	}

	public String getApplyOpenID() {
		return applyOpenID;
	}

	public void setApplyOpenID(String applyOpenID) {
		this.applyOpenID = applyOpenID;
	}

	public Integer getApplyToPlaceID() {
		return applyToPlaceID;
	}

	public void setApplyToPlaceID(Integer applyToPlaceID) {
		this.applyToPlaceID = applyToPlaceID;
	}

	public String getApplyName() {
		return applyName;
	}

	public void setApplyName(String applyName) {
		this.applyName = applyName;
	}

	public String getApplyUserName() {
		return applyUserName;
	}

	public void setApplyUserName(String applyUserName) {
		this.applyUserName = applyUserName;
	}

	public String getApplyTel() {
		return applyTel;
	}

	public void setApplyTel(String applyTel) {
		this.applyTel = applyTel;
	}

	public String getApplyArea() {
		return applyArea;
	}

	public void setApplyArea(String applyArea) {
		this.applyArea = applyArea;
	}

	public Date getApplyDate() {
		return applyDate;
	}

	public void setApplyDate(Date applyDate) {
		this.applyDate = applyDate;
	}

	public Integer getApplyStatus() {
		return applyStatus;
	}

	public void setApplyStatus(Integer applyStatus) {
		this.applyStatus = applyStatus;
	}
}
